Mailinglist Archive: opensuse-factory (339 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20201019 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Tue, 20 Oct 2020 14:02:03 +0000
  • Message-id: <160320252341.24065.4679133564459064869@go-agent-stagingbot-5>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20201019

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ImageMagick (7.0.10.33 -> 7.0.10.34)
Mesa (20.1.8 -> 20.2.1)
Mesa-drivers (20.1.8 -> 20.2.1)
NetworkManager (1.26.2 -> 1.26.4)
PackageKit
apache2
apparmor
autoyast2 (4.3.53 -> 4.3.61)
bc
bison (3.7.2 -> 3.7.3)
brltty
dmidecode (3.2 -> 3.3)
dracut (050+suse.227.g7a9b782d -> 050+suse.250.ge6b6e843)
expect
ffmpeg-4
filesystem
gnutls
hylafax+
kactivitymanagerd
kmozillahelper (5.0.5 -> 5.0.6)
kwin5
ldb
libcontainers-common
libdlm
libinput
libqt5-qtbase
libreoffice
libstorage-ng (4.3.42 -> 4.3.50)
libvirt
linux-glibc-devel (5.8 -> 5.9)
lvm2
lvm2-device-mapper
manpages-l10n (4.1.0 -> 4.2.0)
neon
openldap2 (2.4.53 -> 2.4.54)
openssh
openssh-askpass-gnome
openssl (1.1.1g -> 1.1.1h)
openssl-1_1 (1.1.1g -> 1.1.1h)
patterns-media
patterns-yast (20190411 -> 20191229)
perl-Crypt-Rijndael (1.14 -> 1.15)
permissions (1550_20200930 -> 1550_20201008)
php7
pipewire (0.3.11 -> 0.3.13)
plasma-framework
plasma5-workspace
python-libvirt-python
python38
python38-core
python38-documentation
qrencode (4.1.0 -> 4.1.1)
rubygem-actioncable-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-actionmailbox-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-actionmailer-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-actionpack-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-actiontext-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-actionview-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-activejob-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-activemodel-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-activerecord-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-activestorage-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-activesupport-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-rails-6.0 (6.0.3.3 -> 6.0.3.4)
rubygem-railties-6.0 (6.0.3.3 -> 6.0.3.4)
salt
shadow
systemd
talloc
tcl
transactional-update (2.26 -> 2.27)
vim (8.2.1775 -> 8.2.1840)
wxWidgets-3_2-nostl
yast2 (4.3.29 -> 4.3.37)
yast2-add-on (4.3.6 -> 4.3.7)
yast2-apparmor (4.2.4 -> 4.3.1)
yast2-bootloader (4.3.9 -> 4.3.12)
yast2-core (4.3.2 -> 4.3.3)
yast2-country (4.3.9 -> 4.3.10)
yast2-firewall (4.3.4 -> 4.3.6)
yast2-firstboot (4.3.5 -> 4.3.6)
yast2-installation (4.3.17 -> 4.3.19)
yast2-network (4.3.22 -> 4.3.26)
yast2-packager (4.3.8 -> 4.3.9)
yast2-pam (4.3.2 -> 4.3.3)
yast2-pkg-bindings (4.3.0 -> 4.3.3)
yast2-schema (4.3.6 -> 4.3.14)
yast2-trans (84.87.20200922.4798675e67 -> 84.87.20201011.40f003958f)
yast2-update (4.3.0 -> 4.3.1)
yast2-vm (4.2.3 -> 4.2.4)
yast2-ycp-ui-bindings (4.3.2 -> 4.3.3)

=== Details ===

==== ImageMagick ====
Version update (7.0.10.33 -> 7.0.10.34)
Subpackages: ImageMagick-config-7-SUSE ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI7 libMagickWand-7_Q16HDRI7

- version update to 7.0.10.34
* check for linux-compatible sendfile().

==== Mesa ====
Version update (20.1.8 -> 20.2.1)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- reenabled U_fix-mpeg1_2-decode-mesa-20.2.patch due to regression
reported in boo#1173185
- update to 20.2.1
* first bugfix release for the 20.1 branch
- supersedes U_fix-mpeg1_2-decode.patch
- disabled U_fix-mpeg1_2-decode-mesa-20.2.patch; likely no longer
needed (boo#1173185)
- U_fix-mpeg1_2-decode-mesa-20.2.patch
* additional patch currently needed for Mesa 20.2 (boo#1173185)
- update to 20.2.0
* includes Intel Rocket Lake Platform Support
(jsc#SLE/SLE-12880, jsc#SLE/SLE-12882)
- adjusted/refreshed patches:
* n_add-Mesa-headers-again.patch
* n_drirc-disable-rgb10-for-chromium-on-amd.patch
* u_dep_xcb.patch
- docs now available in .rst format (html before)
- Add U_fix-mpeg1_2-decode.patch (boo#1173185)
* fixes colors in kaffeine on Radeon (r600 VAAPI driver)

==== Mesa-drivers ====
Version update (20.1.8 -> 20.2.1)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- reenabled U_fix-mpeg1_2-decode-mesa-20.2.patch due to regression
reported in boo#1173185
- update to 20.2.1
* first bugfix release for the 20.1 branch
- supersedes U_fix-mpeg1_2-decode.patch
- disabled U_fix-mpeg1_2-decode-mesa-20.2.patch; likely no longer
needed (boo#1173185)
- U_fix-mpeg1_2-decode-mesa-20.2.patch
* additional patch currently needed for Mesa 20.2 (boo#1173185)
- update to 20.2.0
* includes Intel Rocket Lake Platform Support
(jsc#SLE/SLE-12880, jsc#SLE/SLE-12882)
- adjusted/refreshed patches:
* n_add-Mesa-headers-again.patch
* n_drirc-disable-rgb10-for-chromium-on-amd.patch
* u_dep_xcb.patch
- docs now available in .rst format (html before)
- Add U_fix-mpeg1_2-decode.patch (boo#1173185)
* fixes colors in kaffeine on Radeon (r600 VAAPI driver)

==== NetworkManager ====
Version update (1.26.2 -> 1.26.4)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.26.4:
+ Add support for the DHCPv4 vendor class identifier option.
+ The initrd generator now supports specifying interfaces by MAC
address.
+ Automatically add the wildcard DNS domain to VPNs with
never-default=no and no domains.
+ Allow setting bond "primary" option with modes "tlb" and "alb".
+ Fix peer group tracking of Wi-Fi P2P connections.
+ Fix autoactivating virtual devices after a failure.

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-zypp-dont-refresh-repos-on-offline-update.patch:
zypp: Don?t refresh repos again when actually updating packages
(gh#/hughsie/PackageKit/commit/81207bd3, bsc#1173562).

==== apache2 ====
Subpackages: apache2-doc apache2-example-pages apache2-prefork apache2-utils

- /var/run is depracted, /run should be used instead
- systemd-ask-password is located in /usr/bin

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-parser-lang apparmor-profiles apparmor-utils apparmor-utils-lang
pam_apparmor pam_apparmor-32bit perl-apparmor python3-apparmor

- add CAP_CHECKPOINT_RESTORE to severity.db (MR 656,
cap_checkpoint_restore.diff)
- %service_del_postun_without_restart only works for Tumbleweed,
keep using DISABLE_RESTART_ON_UPDATE for Leap 15.x

==== autoyast2 ====
Version update (4.3.53 -> 4.3.61)
Subpackages: autoyast2-installation

- Allow setting the 't' (or 'config:type') attribute in the
'backup' and 'upgrade' elements (bsc#1176834 and bsc#1176848).
- 4.3.61
- Do not show a warning the user when a script just did not run
(bsc#1177057).
- 4.3.60
- Fix the progress bar length during autoinstallation
initialization (bsc#1177322).
- Resolve "zzz_reboot" script conflict (bsc#1177036)
- 4.3.59
- Fix 'inst_autosetup' tests (bsc#1177227).
- 4.3.58
- Add validation of 'activate_systemd_default_target' and
'final_restart_services' elements in the 'general/mode' section
(related to bsc#1176595).
- 4.3.57
- Improve validation errors presentation (related to bsc#1176973).
- 4.3.56
- Drop the 'general/mouse' element from the schema. It has been
unsupported since version 3.0.3, FATE#313101 (bsc#1176973).
- 4.3.55
- Fix tests for CWM::ComboBox (related to the CWM changes for
bsc#1136454).
- 4.3.54

==== bc ====

- fix [bsc#1177579] -- wrong clamping of hexadecimal digits in dc
- deleted patches
- bc-1.06-dc_ibase.patch (upstreamed)

==== bison ====
Version update (3.7.2 -> 3.7.3)
Subpackages: bison-lang

- GNU bison 3.7.3:
* Fix concurrent build issues
* The bison executable is no longer linked uselessly against
libreadline
* Fix incorrect use of yytname in glr.cc

==== brltty ====
Subpackages: brltty-driver-at-spi2 brltty-driver-brlapi
brltty-driver-speech-dispatcher brltty-driver-xwindow brltty-lang libbrlapi0_8
python3-brlapi xbrlapi

- Add coreutils and util-linux to post requires (boo#1177656).

==== dmidecode ====
Version update (3.2 -> 3.3)

- Update to upstream version 3.3:
* [COMPATIBILITY] Document how the UUID fields are interpreted.
* [PORTABILITY] Don't use memcpy on /dev/mem on arm64.
* Add bios-revision, firmware-revision and system-sku-number to -s option.
* Use the most appropriate unit for cache size.
* Decode system slot base bus width and peers.
* Obsoletes dmidecode-add-enumerated-values-from-smbios-3.3.0.patch,
dmidecode-add-logical-non-volatile-device.patch,
dmidecode-allow-overriding-build-settings-from-env.patch,
dmidecode-dont-choke-on-invalid-processor-voltage.patch,
dmidecode-fix-formatting-of-tpm-table-output.patch,
dmidecode-fix-redfish-hostname-print-length.patch,
dmidecode-fix-system-slot-information-for-pcie-ssd.patch,
dmidecode-fix-the-alignment-of-type-25-name.patch,
dmidecode-only-scan-dev-mem-for-entry-point-on-x86.patch, and
dmidecode-print-type-33-name-unconditionally.patch.

==== dracut ====
Version update (050+suse.227.g7a9b782d -> 050+suse.250.ge6b6e843)

- Update to version 050+suse.250.ge6b6e843:
* Revert "Revert "install: also install post weak dependencies of kernel
modules""
* 98dracut-systemd: don't wait for root device if remote cryptsetup active
* cryptroot-ask: unify /etc/crypttab and rd.luks.key
* 90kernel-modules: arm: add drivers/hwmon for arm/arm64
* rootfs-block: only write root argument for block device
* 90crypt: pull in remote-cryptsetup.target enablement
* 00systemd: add missing cryptsetup-related targets
* 95nvmf: Implement 'fc,auto' commandline syntax
* 95nvmf: add nvmf-autoconnect script
* 95nvmf: Fixup FC connections
* 95nvmf: add documentation
* 95nvmf: rework parameter handling
* dracut-install: fix edge-case regression with weak modules
* dracut-install: ignore bogus preload libs
* dracut.spec: Use make macros
* dracut.spec: remove fedora pre 30 quirks
* 50drm: Check drm_encoder_init along drm_crtc_init
* 50drm: Include drm platform drivers in hostonly
* 50drm: fix ambiguous redirects
* Include devfreq drivers in initrd
* dracut.spec: include the 04watchdog-modules module
- Update to version 050+suse.228.gd0d6792d:
* 99memstrack: use /bin/bash

==== expect ====

- Add an unversioned symlink to make linking easier for
applications that use libexpect without Tcl (boo#1172681).

==== ffmpeg-4 ====
Subpackages: libavcodec58_91 libavdevice58_10 libavfilter7_85 libavformat58_45
libavresample4_0 libavutil56_51 libpostproc55_7 libswresample3_7 libswscale5_7

- Adjust soversion.patch to include a symlink [boo#1177667]
- Add 0001-lavf-srt-fix-build-fail-when-used-the-libsrt-1.4.1.patch

==== filesystem ====

- Add /usr/etc/X11 (boo#1173049)
- Add /usr/etc/xdg (boo#1173316)
- Add /usr/etc/profile.d (boo#1173310)

==== gnutls ====
Subpackages: libgnutls-dane0 libgnutls30 libgnutls30-32bit libgnutls30-hmac

- Escape rpm command %%expand when used in comment.

==== hylafax+ ====
Subpackages: hylafax+-client libfaxutil7_0_3

- rearrange files-section (boo#1172731)

==== kactivitymanagerd ====
Subpackages: kactivitymanagerd-lang

- Add Fix-a-dangling-reference-to-the-list-of-database-files.patch
to fix possible crashes (kde#427650)

==== kmozillahelper ====
Version update (5.0.5 -> 5.0.6)

- Update to 5.0.6:
* Exclude kmozillahelper from session management (boo#1176852)

==== kwin5 ====
Subpackages: kwin5-lang

- Add patch to fix software rendering detection with Mesa 20.2+:
* 0001-Detect-softpipe-and-llvmpipe-on-Mesa-20.2.patch

==== ldb ====
Subpackages: libldb2 libldb2-32bit python3-ldb

- Remove old if suse_version != 1110 || arch != i386 construct:
unlikely the current package ever builds for 1110 && 386.

==== libcontainers-common ====

- Simplify %setup statements.

==== libdlm ====
Subpackages: libdlm3

- Do build with SUSE's %optflags.
- Abolish historic specfile constructs.
- Rework libdlm3 require with a shared library version
tag instead so it propagates to all consuming packages.
- Add require libdlm3 (bsc#1177658)

==== libinput ====
Subpackages: libinput-udev libinput10

- Split libinput-debug-gui from the library package build,
removes GTK3 and transient build dependencies from libinput.
- Fix cleanup of python3-libevdev dependent helpers, now
located under libexecdir
- Fix installation path of zsh-completion helpers, move to
tools package.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Silence xcb errors and qml connection warnings by default, see
boo#1115541 (xcb) and kde#418793.

==== libreoffice ====
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Add patch to work with latest orcus/ixion:
* 0001-Upgrade-liborcus-to-0.16.0.patch

==== libstorage-ng ====
Version update (4.3.42 -> 4.3.50)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Portuguese (Brazil)) (bsc#1149754)
- 4.3.50
- Translated using Weblate (Japanese) (bsc#1149754)
- 4.3.49
- Translated using Weblate (Slovak) (bsc#1149754)
- 4.3.48
- Translated using Weblate (Dutch) (bsc#1149754)
- Translated using Weblate (Czech) (bsc#1149754)
- Translated using Weblate (Catalan) (bsc#1149754)
- merge gh#openSUSE/libstorage-ng#773
- updated pot and po files
- 4.3.47
- merge gh#openSUSE/libstorage-ng#772
- added support for tmpfs (jsc#SLE11308)
- extended bindings
- added unit test
- added integration tests
- 4.3.46
- merge gh#openSUSE/libstorage-ng#771
- improved error messages in testsuite
- coding style
- 4.3.45
- merge gh#openSUSE/libstorage-ng#770
- added utility function to get names of used features
- coding style
- used sdc instead of sdb or sdd in some tests
- extended documentation
- 4.3.44
- merge gh#openSUSE/libstorage-ng#769
- fixed exception message
- 4.3.43

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-iscsi
libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- Fix 'make check' with all downstream patches applied. Some
patches touch config files and needed the corresponding augeaus
test files updated.
Updated patches:
suse-libvirtd-disable-tls.patch,
suse-qemu-conf.patch,
suse-ovmf-paths.patch,
suse-libxl-disable-autoballoon.patch
boo#1175574

==== linux-glibc-devel ====
Version update (5.8 -> 5.9)

- Update to kernel headers 5.9

==== lvm2 ====
Subpackages: liblvm2cmd2_03

- Update lvm2.spec file (bsc#1174336)
- enable lvmlockd remote refresh using libdlmcontrol
- update libdlm dependency relationship

==== lvm2-device-mapper ====
Subpackages: device-mapper libdevmapper-event1_03 libdevmapper1_03
libdevmapper1_03-32bit

- Update lvm2.spec file (bsc#1174336)
- enable lvmlockd remote refresh using libdlmcontrol
- update libdlm dependency relationship

==== manpages-l10n ====
Version update (4.1.0 -> 4.2.0)
Subpackages: man-pages-de man-pages-fr man-pages-pl man-pages-pt_BR

- Update to version 4.2.0:
* Updated and added many translations.
* Still skip Italian and Spanish, will be included in the next
or any future release.

==== neon ====

- Disable tests fail_ca_* that fail since OpenSSL update to 1.1.1h.
* Upstream report: https://github.com/notroj/neon/issues/38
- Add neon-0.31.2-CA-tests.patch
- Disable fail_nul_* tests broken with OpenSSL configured to reject
certificates created with a SHA1.
- Add neon-0.31.2-sha1-tests.patch

==== openldap2 ====
Version update (2.4.53 -> 2.4.54)
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client

- updated to 2.4.54
OpenLDAP 2.4.54 Release (2020/10/12)
Fixed slapd delta-syncrepl to ignore delete ops on deleted entry (ITS#9342)
Fixed slapd delta-syncrepl to be fully serialized (ITS#9330)
Fixed slapd delta-syncrepl MOD on zero-length context entry (ITS#9352)
Fixed slapd sessionlog to use a TAVL tree (ITS#8486)
Fixed slapd syncrepl to be fully serialized (ITS#8102)
Fixed slapd syncrepl to call check_syncprov on fresh consumer (ITS#9345)
Fixed slapd syncrepl to propagate errors from overlay_entry_get_ov (ITS#9355)
Fixed slapd syncrepl to not create empty ADD ops (ITS#9359)
Fixed slapd syncrepl replace usage on single valued attrs (ITS#9295)
Fixed slapd-monitor fix monitor_back_register_database for empty suffix DB
(ITS#9353)
Fixed slapo-accesslog normalizer for reqStart (ITS#9358)
Fixed slapo-accesslog to not generate new contextCSN on purge (ITS#9361)
Fixed slapo-syncprov contextCSN generation with empty suffix (ITS#9015)

==== openssh ====

- Work around %service_add_post disabling sshd on upgrade with
package name change (bsc#1177039).
- Fix fillup-template usage:
+ %post server needs to reference ssh (not sshd), which matches
the sysconfig.ssh file name the package ships.
+ %post client does not need any fillup_ calls, as there is no
client-relevant sysconfig file present. The naming of the
sysconfig file (ssh instead of sshd) is unfortunate.
- Use of DISABLE_RESTART_ON_UPDATE is deprecated.
Replace it with %service_del_postun_without_restart
- Move some Requires to the right subpackage.
- Avoid ">&" bashism in %post.
- Upgrade some old specfile constructs/macros and drop unnecessary
%{?systemd_*}.
- Trim descriptions and straighten out the grammar.
- Split openssh package into openssh, openssh-common,
openssh-server and openssh-clients. This allows for the ssh
clients to be installed without the server component
(bsc#1176434).

==== openssh-askpass-gnome ====

- Upgrade some old specfile constructs/macros.
- Supplement openssh-clients instead of openssh (bsc#1176434).

==== openssl ====
Version update (1.1.1g -> 1.1.1h)

- Update to 1.1.1h release

==== openssl-1_1 ====
Version update (1.1.1g -> 1.1.1h)
Subpackages: libopenssl1_1 libopenssl1_1-32bit libopenssl1_1-hmac

- Escape rpm command %%expand when used in comment.
- Update to 1.1.1h
* Disallow explicit curve parameters in verifications chains when
X509_V_FLAG_X509_STRICT is used
* Enable 'MinProtocol' and 'MaxProtocol' to configure both TLS and DTLS
contexts
- refresh openssl-fips_selftest_upstream_drbg.patch
* DRBG internals got renamed back:
reseed_gen_counter -> generate_counter
reseed_prop_counter -> reseed_counter

==== patterns-media ====
Subpackages: patterns-media-rest_cd_core patterns-media-rest_dvd

- Recommend chrony by rest_cd_core (yast pattern used to recommen
it before)

==== patterns-yast ====
Version update (20190411 -> 20191229)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis
patterns-yast-yast2_install_wf

- Split basis pattern into basis, desktop and server (boo#1159875)
- 20191229
- Adapting Dockerfile to yast-ruby container.

==== perl-Crypt-Rijndael ====
Version update (1.14 -> 1.15)

- updated to 1.15
see /usr/share/doc/packages/perl-Crypt-Rijndael/Changes
1.15 - 2020-10-10
* Use standard uint8_t and uint32_t from stdint.h

==== permissions ====
Version update (1550_20200930 -> 1550_20201008)
Subpackages: chkstat permissions-config permissions-doc

- Update to version 20201008:
* cleanup now useless /usr/lib entries after move to /usr/libexec
(bsc#1171164)
* drop (f)ping capabilities in favor of ICMP_PROTO sockets (bsc#1174504)

==== php7 ====
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-gd php7-gettext
php7-iconv php7-json php7-mbstring php7-mysql php7-pdo php7-sqlite
php7-tokenizer php7-xmlreader php7-xmlwriter

- fix build for 15 and 15sp1

==== pipewire ====
Version update (0.3.11 -> 0.3.13)
Subpackages: libpipewire-0_3-0 pipewire-modules pipewire-spa-plugins-0_2
pipewire-spa-tools pipewire-tools

- Update to version 0.3.13:
* PipeWire improvements
+ Add pw-reserve tool to reserve or monitor a device on DBus.
+ Install spa-resample, a tool to resample a file.
+ Install spa-acp-tool, a tool to inspect the card profile.
+ Various fixes and improvements
+ Fix a bug in pw-stream where a capture stream could run out
of buffers and become silent.
+ Rework the processing loops in the adapter and stream. There
is now less latency in PulseAudio and ALSA layers.
* Session manager improvements
+ Improve the device reservation code. We now try to acquire
the device using the dbus device reservation API before we
probe the device. This avoids conflicts with a running
PulseAudio where devices would disappear (because they were
locked by the other process).
+ Don't fail on invalid input from the config files.
+ Audio devices now have the same name as what PulseAudio
would assign.
* Device support
+ v4l2: try to use the format before enumerating the size and
framerate. Some drivers don't check the format and might now
work better.
+ v4l2: Fall back to MMAP when EXPBUF fails. Fix MMAP access,
just export the fd and the mapoffset. This should make more
devices work.
+ Fix crash in ALSA Card Profile (ACP) code.
+ ACP: fix selection of default profile. Prefer any possibly
available profile over 'Off'. This makes some card at least
start with something.
+ Fix soft volume. After setting the volume to 0, it would stay
at 0 until pushed over the max volume. This should fix
various volume related issues.
* PulseAudio layer improvements
+ Rework the buffering and latency measurements and tweak the
buffer attributes. This should make browsers and media
players work better. This should also improve speechd
performance.
* JACK layer improvements
+ Fix compilation against newer JACK.
- Rebase patch:
* do-not-install-alsa-config-files.patch
- Update to version 0.3.12:
* PipeWire improvements
+ The channelmap converter now handles unknown and strange
channel layouts much better.
+ The resampler is now cleared correctly, avoiding clicks and
pops at the start of sound.
+ Fixes for various crasher bugs. (paplay drain, vlc shutdown,
pactl info, ...)
+ Fix a race condition in the node state changes that caused
all kinds of sync and other issues (vlc, mpv, ...)
+ Improve the binary name property of applications
+ Fix the scheduling again of nodes that always need a driver
such as the jack clients.
* Session manager improvements
+ Fix routing to default nodes. Sometimes nodes were not routed
to the default node (bluetooth)
* Device support
+ Disable channelmap from ALSA by default. This is what
PulseAudio does and thus provides better compatibility.
+ Fix a bug in how the resampler was used in the ALSA source,
causing distortion and errors when using low latency capture
clients. (Discord, webrtc, ...)
+ Small bluetooth improvements. More work is needed for
reliable bluetooth playback.
* GStreamer plugins
+ The device provider now stops the processing loop before
shutting down, which avoids crashes (gnome-initial-setup).
* PulseAudio layer improvements
+ The buffer attributes were reworked to ensure compatibility
with many more applications such as mpv and audacious.
+ The pulseaudio layer will now try hard to not hand out
invalid channel maps to the application. (avoids crashes in
gnome-volume-control). The channel map will now also look
more like what PulseAudio does.
+ The @DEFAULT_SINK/SOURCE/MONITOR@ wildcards now work. This
fixes the problem with volume keys when they are bound to
scripts using pactl and the default sink/source wildcards.
+ The PIPEWIRE_LATENCY environment variable now works again
+ Fix some leaks of ports and port info. Also fix the leak of
the context when the mainloop is stopped.
+ The sink/source format_info array is now filled up
completely, this is actually not implemented yet in the real
PulseAudio.
* JACK layer improvements
+ jack now returns version 3.0.0 and has PipeWire in the
version string so that apps can report this.
- Drop patch:
* 0001-alsa-dont-change-the-resampler-delay-value.patch

==== plasma-framework ====
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Add patch to avoid 100% CPU usage by plasmashell:
* 0001-Fix-BusyIndicator-rotating-even-when-invisible-again.patch
- Add patch to improve krunner responsiveness on wayland (kde#426746):
* 0001-BusyIndicator-Do-not-rotate-when-invisible.patch

==== plasma5-workspace ====
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Generate plasmafullwayland.desktop by editing plasmawayland.desktop
- Make plasma5-session-wayland arch-dependent as it contains %{_libdir}
- Add BuildRequires for pipewire and libdrm
- Don't use %fdupes -s, kpackage doesn't like it and so this broke
the slideshow wallpaper

==== python-libvirt-python ====

- fix constructor param name for virDomain{Checkpoint,Snapshot}
61341150-fix-constructor-param-name.patch
boo#1177559

==== python38 ====
Subpackages: python38-curses python38-dbm python38-tk

- Buildrequire timezone only for general flavor. It's used in this
flavor for the test suite.

==== python38-core ====
Subpackages: libpython3_8-1_0 python38-base

- Buildrequire timezone only for general flavor. It's used in this
flavor for the test suite.

==== python38-documentation ====

- Buildrequire timezone only for general flavor. It's used in this
flavor for the test suite.

==== qrencode ====
Version update (4.1.0 -> 4.1.1)

- update to 4.1.1:
* Some minor bugs in Micro QR Code generation have been fixed.
* The data capacity calculations are now correct. These bugs probably did not
affect the Micro QR Code generation.

==== rubygem-actioncable-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-actionmailbox-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-actionmailer-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-actionpack-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)
Subpackages: ruby2.6-rubygem-actionpack-6.0 ruby2.7-rubygem-actionpack-6.0

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-actiontext-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-actionview-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)
Subpackages: ruby2.6-rubygem-actionview-6.0 ruby2.7-rubygem-actionview-6.0

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-activejob-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-activemodel-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)
Subpackages: ruby2.6-rubygem-activemodel-6.0 ruby2.7-rubygem-activemodel-6.0

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-activerecord-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-activestorage-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-activesupport-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)
Subpackages: ruby2.6-rubygem-activesupport-6.0 ruby2.7-rubygem-activesupport-6.0

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-rails-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== rubygem-railties-6.0 ====
Version update (6.0.3.3 -> 6.0.3.4)
Subpackages: ruby2.6-rubygem-railties-6.0 ruby2.7-rubygem-railties-6.0

- update to version 6.0.3.4: CVE-2020-8264 (boo#1177521)
https://weblog.rubyonrails.org/2020/10/7/Rails-6-0-3-4-has-been-released/

==== salt ====
Subpackages: python3-salt salt-master salt-minion

- Ensure virt.update stop_on_reboot is updated with its default value
- Added:
* ensure-virt.update-stop_on_reboot-is-updated-with-it.patch
- Do not break package building for systemd OSes
- Drop wrong mock from chroot unit test
- Added:
* drop-wrong-mock-from-chroot-unit-test.patch
- Support systemd versions with dot (bsc#1176294)
- Fix for grains.test_core unit test
- Fix file/directory user and group ownership containing UTF-8
characters (bsc#1176024)
- Several changes to virtualization:
- - Fix virt update when cpu and memory are changed
- - Memory Tuning GSoC
- - Properly fix memory setting regression in virt.update
- - Expose libvirt on_reboot in virt states
- Support transactional systems (MicroOS)
- zypperpkg module ignores retcode 104 for search() (bsc#1159670)
- Xen disk fixes. No longer generates volumes for Xen disks, but the
corresponding file or block disk (bsc#1175987)
- Added:
* fix-grains.test_core-unit-test-277.patch
* support-transactional-systems-microos-271.patch
* backport-a-few-virt-prs-272.patch
* xen-disk-fixes-264.patch
* zypperpkg-ignore-retcode-104-for-search-bsc-1176697-.patch
* bsc-1176024-fix-file-directory-user-and-group-owners.patch
- Invalidate file list cache when cache file modified time is in the future
(bsc#1176397)
- Added:
* invalidate-file-list-cache-when-cache-file-modified-.patch

==== shadow ====

- Add support for /usr/etc/skel to useradd.local script (boo#1173321)
- shadow-login_defs-check.sh: Fix the regexp to get a real variable
list (boo#1164274).

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-container systemd-doc systemd-lang
systemd-logger systemd-sysvinit udev

- Do not include %{release} in a few places where we explicitly mention package
versions
It's usually not a good idea especially when used with conflicts.
- Rely on systemd-default-settings for overriding system default settings
The new branding packages now ships the drop-ins to customize
systemd either for an openSUSE or a SLE ditro.

==== talloc ====
Subpackages: libtalloc2 libtalloc2-32bit python3-talloc

- Fix build with RPM 4.16:
bad %if condition: 01550 != 1110 || "x86_64" == x86_64
no bare word support, x86_64 needs to be quoted

==== tcl ====

- Fix build with RPM 4.16: error: bare words are no longer
supported, please use "...": lib64 == lib64.

==== transactional-update ====
Version update (2.26 -> 2.27)
Subpackages: transactional-update-zypp-config

- Version 2.27
- Add support for network systemd-resolvd network connections in t-u
environment
- Mount /var/lib/ca-certificates read-write to prevent SELinux error
- Prevent calling transactional-update from within transactional-update

==== vim ====
Version update (8.2.1775 -> 8.2.1840)
Subpackages: gvim vim-data vim-data-common

- Updated to version 8.2.1840, fixes the following problems
- refreshed vim-7.3-filetype_changes.patch and vim-8.0.1568-defaults.patch
* Filetype.vim may be loaded twice.
* Vim9: some assignment tests in the wrong file.
* Vim9: returning from a partial call clears outer context, causing a crash.
* Some debian changelog files are not recognized.
* Statusline not updated when splitting windows.
* Writing to prompt buffer interferes with insert mode.
* Vim9: cannot pass boolean to mapset().
* Try-catch test fails.
* commits are not scanned for security problems
* Compiler warning for strcp() out of bounds. (Christian Brabandt)
* Various Normal mode commands not fully tested.
* Crash with 'incsearch' and very long line.
* Vim9: still allows :let for declarations.
* Vim9: crash with invalid list constant. (Dhiraj Mishra)
* Vim9: debugger test fails.
* Configure does not recognize Racket 6.1+.
* Not consistently giving the "is a directory" warning.
* No falsy Coalescing operator.
* Vim9: operators && and || have a confusing result.
* Vim9: invalid memory access with weird function name. (Dhiraj Mishra)
* Vim9: some parts of the code not tested.
* Vim9: trinary operator condition is too permissive.
* Some Normal mode commands not fully tested.
* Vim9: memory leak if "if" condition is invalid.
* Undo file not found when using ":args" or ":next".
* Vim9: crash with unterminated dict. (Dhiraj Mishra)
* A few failures are not tested.
* resolve('/') returns an empty string.
* Unix: terminal mode changed when using ":shell".
* Can use :help in a terminal popup window.
* No test coverage for ":spelldump!".
* Mapping some keys with Ctrl does not work properly.
* Some code in normal.c not covered by tests.
* Mapping Ctrl-key does not work for '{', '}' and '|'.
* Vim9: nested closure throws an internal error.
* Vim9: can assign wrong type to script dict. (Christian J. Robinson)
* Missing change to remove "static".
* Vim9: memory leak when using function reference.
* Vim9: another memory leak when using function reference.
* Vim9: wrong instruction when reusing a local variable spot.
* SE Linux: deprecation warning for security_context_t.
* Vim9: Memory leak when using a closure.
* Vim9: crash when error happens in timer callback.
* Vim9: concatenating to a NULL list doesn't work.
* List test doesn't fail.
* "gN" does not select the matched string.
* Vim9: variables at the script level escape their scope.
* Vim9: accessing freed memory.
* Vim9: cannot use a {} block at script level.
* Filetype detection does not test enough file names.
* Build failure without the +eval feature.
* Warnings when executing Github actions.
* File missing from distribution.
* readdirex() error is displayed as a message. (Yegappan Lakshmanan)
* When reading from stdin dup() is called twice.
* PyEval_InitThreads() is deprecated in Python 3.9.
* ":help ??" finds the "!!" tag.
* Autocmd test fails on pacifist systems.
* Using "gn" after "gN" does not work.
* Vim9: cannot insert a comment line in an expression.
* Vim9: memory leaks reported in assign test.
* Vim9: error message is not clear about compilation error.

==== wxWidgets-3_2-nostl ====
Subpackages: libwx_baseu-suse-nostl4_0_0 libwx_baseu_net-suse-nostl4_0_0
libwx_baseu_xml-suse-nostl4_0_0 libwx_gtk3u_core-suse-nostl4_0_0
libwx_gtk3u_html-suse-nostl4_0_0 libwx_gtk3u_qa-suse-nostl4_0_0

- Change wxGTK2 flavor to be the main (unnamed) flavor.
- Fix unquoted bareword comparisons for RPM 4.16 compatibility

==== yast2 ====
Version update (4.3.29 -> 4.3.37)
Subpackages: yast2-logs

- Revert changes for hiding the heading of the dialog in text mode
(the heading has no height if the title is empty).
- bsc#1176808
- 4.3.37
- AutoYaST: SectionWithAttributes#new_from_hashes accepts
an enumerable as first element (related to bsc#1177405).
- 4.3.36
- AutoYaST: do not crash when sections like 'raid_options' are
empty (bsc#1177405).
- 4.3.35
- Revert the drop of SuSEFirewall2 as there are still some packages
which need to be adapted (bsc#1177160)
- 4.3.34
- Drop SuSEFirewall2 code completely (fate#323460)
- 4.3.33
- Fix non-editable ComboBox handling (bsc#1136454).
- 4.3.32
- Small improvements to CWM based widgets (related to bsc#1136454):
- An editable ComboBox will refresh the list of items when a new
one is given as its current value.
- By default, a MenuButton widget listens to events from all its
buttons.
- 4.3.31
- Do not crash when trying to parse non-existing ("nil") add-on
product control XML file (bsc#1176593)
- 4.3.30

==== yast2-add-on ====
Version update (4.3.6 -> 4.3.7)

- Do not import SuSEFirewall2 anymore as the support was dropped
from YaST (fate#323460)
- 4.3.7

==== yast2-apparmor ====
Version update (4.2.4 -> 4.3.1)

- Fixed menu navigation using arrow keys in Qt UI - do not start
the selected module immediately after changing the selection
(bsc#1172035)
- 4.3.1
- Adaptions to AppArmor 3.X: Changes in AppArmor aa-status output.
(bsc#1174746)
- 4.3.0

==== yast2-bootloader ====
Version update (4.3.9 -> 4.3.12)

- Fix definition of initrd_module in AutoYaST schema (bsc#1177058)
- 4.3.12
- Drop the 'suse_btrfs' element from the AutoYaST schema
(bsc#1176970).
- 4.3.11
- Add UPDATE_NVRAM in /etc/sysconfig/bootloader (bsc#1157550,
jsc#SLE-11500).
- 4.3.10

==== yast2-core ====
Version update (4.3.2 -> 4.3.3)

- Drop encryption builtins as they needed adjustment and
they are reimplemented in yast2-ruby-bindings anyway (bsc#1176924)
(crypt cryptmd5 cryptblowfish cryptsha256 cryptsha512)
- 4.3.3

==== yast2-country ====
Version update (4.3.9 -> 4.3.10)
Subpackages: yast2-country-data

- adjust keyboard client layout to also fit the firstboot workflow
(bsc#1174856)
- restructure keyboard client code to allow easier reuse (bsc#1174856)
- 4.3.10

==== yast2-firewall ====
Version update (4.3.4 -> 4.3.6)

- Modified the warning text introduced in previous change according
to suggestions (jsc#SLE-1567)
- 4.3.6
- Warn the user when the SSH port is closed or the service is
disabled and the configured authentication is only based on SSH
key (jsc#SLE-15675)
- 4.3.5

==== yast2-firstboot ====
Version update (4.3.5 -> 4.3.6)

- use regular keyboard client for firstboot_keyboard (bsc#1174856)
- 4.3.6

==== yast2-installation ====
Version update (4.3.17 -> 4.3.19)

- Run configuration_management_finish client after *.repo files
are available in the installed system (bsc#1177522).
- 4.3.19
- Control.xml docu: Added "product_upgrades" tag in software/upgrade
(jsc#SLE-14807).
- 4.3.18

==== yast2-network ====
Version update (4.3.22 -> 4.3.26)

- Write hostname changes when modified through the 'dns' client
(bsc#1177191).
- 4.3.26
- Modified the way the current hostnames are (static & transient)
read and write (bsc#1173915)
- 4.3.25
- Write the virtualization network configuration properly during an
autoinstallation (bsc#1177025)
- 4.3.24
- Fixed initialization of the bridge STP configuration
(bsc#1176820)
- 4.3.23

==== yast2-packager ====
Version update (4.3.8 -> 4.3.9)

- VNC installation: Removed xorg-x11 package from the needed
package list (bsc#1172459).
- 4.3.9

==== yast2-pam ====
Version update (4.3.2 -> 4.3.3)

- Fix initialize of packager to not break command line
(bsc#1177632)
- 4.3.3

==== yast2-pkg-bindings ====
Version update (4.3.0 -> 4.3.3)

- Added new call Pkg::SetAdditionalVendors (jsc#SLE-15184).
- 4.3.3
- Return "nil" when a product package is not defined, missing
value might cause a crash (bsc#1175681)
- 4.3.2
- Fixed migration from SLE-HPC-12 with activated HPC module to
SLE15-SP2 (fixed saving service files) (bsc#1171977)
- 4.3.1

==== yast2-schema ====
Version update (4.3.6 -> 4.3.14)

- Allow setting the 't' (or 'config:type') attribute in:
- 'backup' and 'upgrade' elements (bsc#1176834 and bsc#1176848).
- 'initrd_module' element (bsc#1177058).
- 4.3.14
- AutoYaST schema (bsc#1174133, bsc#1177496):
- Fix validation of string/symbol elements in the schema.
- Fix validation of 'masquerade_user' elements.
- 4.3.13
- Do not validate unknown sections (bsc#1177173).
- 4.3.12
- Add validation of 'activate_systemd_default_target' and
'final_restart_services' elements in the 'general/mode' section.
(bsc#1176595).
- 4.3.11
- Drop the 'suse_btrfs' element from the schema (bsc#1176970).
- 4.3.10
- Drop the 'general/mouse' element from the schema (bsc#1176973).
- 4.3.9
- Add the schema for 'backup' and 'upgrade' sections (bsc#1176834).
- 4.3.8
- add update_nvram element to the bootloader section (jsc#11500)
- 4.3.7

==== yast2-trans ====
Version update (84.87.20200922.4798675e67 -> 84.87.20201011.40f003958f)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en_GB yast2-trans-es yast2-trans-et
yast2-trans-fa yast2-trans-fi yast2-trans-fr yast2-trans-gl yast2-trans-gu
yast2-trans-hi yast2-trans-hr yast2-trans-hu yast2-trans-id yast2-trans-it
yast2-trans-ja yast2-trans-jv yast2-trans-ka yast2-trans-km yast2-trans-ko
yast2-trans-lo yast2-trans-lt yast2-trans-mk yast2-trans-mr yast2-trans-nb
yast2-trans-nl yast2-trans-pa yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR
yast2-trans-ro yast2-trans-ru yast2-trans-si yast2-trans-sk yast2-trans-sl
yast2-trans-sr yast2-trans-sv yast2-trans-ta yast2-trans-th yast2-trans-tr
yast2-trans-uk yast2-trans-vi yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN
yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20201011.40f003958f:
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'update'.
* New POT for text domain 'sudo'.
* New POT for text domain 'pkg-bindings'.
* New POT for text domain 'ncurses-pkg'.
* New POT for text domain 'ncurses'.
* New POT for text domain 'firewall'.
* New POT for text domain 'base'.
* New POT for text domain 'network'.
* New POT for text domain 'autoinst'.
* New POT for text domain 'autoinst'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Japanese)
- Update to version 84.87.20201005.4eab147476:
* New POT for text domain 'vm'.
* Translated using Weblate (Hindi)
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)
* Translated using Weblate (Dutch)
* New POT for text domain 'control'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Japanese)
* New POT for text domain 'registration'.
* New POT for text domain 'mail'.
* New POT for text domain 'base'.
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* New POT for text domain 'add-on'.
* Translated using Weblate (Italian)
* Translated using Weblate (French)
* Translated using Weblate (French)
* Translated using Weblate (French)
* Translated using Weblate (French)
* Translated using Weblate (French)
* Translated using Weblate (French)
* New POT for text domain 'base'.
* New POT for text domain 'autoinst'.
* Translated using Weblate (Hindi)
* Translated using Weblate (Hindi)
* Translated using Weblate (Hindi)
- Update to version 84.87.20200928.7b43d431a8:
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Indonesian)
* New POT for text domain 'base'.
* New POT for text domain 'apparmor'.
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* New POT for text domain 'base'.
* New POT for text domain 'autoinst'.
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* New POT for text domain 'registration'.
* New POT for text domain 'installation'.
* New POT for text domain 'bootloader'.
* Translated using Weblate (Dutch)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Japanese)
* Translated using Weblate (Catalan)
* New POT for text domain 'firstboot'.
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)

==== yast2-update ====
Version update (4.3.0 -> 4.3.1)

- Adding additional compatible vendors which are defined in the
control file (jsc#SLE-14807).
- 4.3.1

==== yast2-vm ====
Version update (4.2.3 -> 4.2.4)

- bsc#1169214 - [Build 20200409] yast2 virtualization module does
not show popup about "NetworkManager is being used" but it is
mentioned in log file
- 4.2.4

==== yast2-ycp-ui-bindings ====
Version update (4.3.2 -> 4.3.3)

- Added Nested Tables (bsc#1176402)
- Require libyui.so.14
- 4.3.3


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages